%define tarname	ETSProjectTools
%define name 	python-enthought-etsprojecttools
%define version 0.4.2
%define release %mkrel 2

Summary:	Enthought Project Suite - ETSProjectTools project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/ets_project_tools.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	subversion >= 1.5
%if %mdkversion > 200900
Requires:	python-pkg-resources >= 0.6c8
%else
Requires:	python-setuptools >= 0.6c8
%endif
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The ETSProjectTools project provides tools to make it easier for
developers to work with the Subversion repository for the Enthought
Tool Suite. It includes commands for checking out, updating,
reverting, developing with, and checking status of ETS projects. The
tools understand the installation and build dependencies of the
projects, and ensure that operations apply to a coherent sets of
projects and versions.The syntax and semantics of the commands are
similar to the svn command in Subversion, with sub-commands for
different operations.

* ets co - Checks out the source for one or more projects and (by
  default) all of their dependencies, into a common top-level
  directory.
* ets up - Updates a project source tree created by ets co.
* ets st - Reports the status of files in a project source tree 
  created by ets co.
* ets rev - Reverts changes in a project source tree created by ets co.
* ets develop - Activates a project source tree created by ets co in the 
  current Python environment, so that source code changes within that tree 
  are reflected in the current Python environment.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt


%changelog
* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 0.4.2-2mdv2009.1
+ Revision: 323678
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 313634
- Update to 0.4.2.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 298917
- import python-enthought-etsprojecttools


